Name: brltty
Version: 3.8
Release: 1

Group: System Environment/Daemons
License: GPL
Vendor: The BRLTTY Team
Packager: Dave Mielke <dave@mielke.cc>
URL: http://mielke.cc/brltty/
Source: http://mielke.cc/brltty/releases/%{name}-%{version}.tar.gz

BuildRequires: autoconf >= 2.53
BuildRequires: make
BuildRequires: gcc
BuildRequires: /bin/sh
BuildRequires: /bin/ln
BuildRequires: /usr/bin/ld
BuildRequires: /sbin/ldconfig
BuildRequires: /usr/bin/ranlib
BuildRequires: /usr/bin/ar
BuildRequires: /usr/bin/awk
BuildRequires: /usr/bin/bison
BuildRequires: /usr/bin/install
BuildRequires: glibc-devel
BuildRequires: Pyrex
BuildRequires: tcl
BuildRequires: gcc-java

BuildRoot: %{_tmppath}/%{name}-%{version}-InstallRoot
%define _bindir /bin
%define _sbindir /sbin
%define _libdir /lib
%define _sysconfdir /etc

AutoProv: 1

AutoReq: 1
Requires: /bin/sh

Summary: Braille display driver for Linux/Unix.
%description
BRLTTY is a background process (daemon) which provides access to
the console screen (when in text mode) for a blind person using a
refreshable braille display.  It drives the braille display, and
provides complete screen review functionality.  Some speech capability
has also been incorporated.

Install this package if you use a refreshable braille display.

%package -n brlapi
Version: 0.5.0
Group: Applications/System
License: LGPL

AutoProv: 1

AutoReq: 1

Summary: Appliation Programming Interface for BRLTTY.
%description -n brlapi
This package provides the run-time support for the Application
Programming Interface to BRLTTY.

Install this package if you have an application
which directly accesses a refreshable braille display.

%package -n brlapi-python
Version: 0.5.0
Group: Applications/System
License: LGPL

AutoProv: 1

AutoReq: 1

Summary: Python bindings for BrlAPI.
%description -n brlapi-python
This package provides the Python bindings for BrlAPI,
which is the Application Programming Interface to BRLTTY.

Install this package if you have a Python application
which directly accesses a refreshable braille display.

%package -n brlapi-tcl
Version: 0.5.0
Group: Applications/System
License: LGPL

AutoProv: 1

AutoReq: 1

Summary: Tcl bindings for BrlAPI.
%description -n brlapi-tcl
This package provides the Tcl bindings for BrlAPI,
which is the Application Programming Interface to BRLTTY.

Install this package if you have a Tcl application
which directly accesses a refreshable braille display.

%package -n brlapi-devel
Version: 0.5.0
Group: Development/System
License: LGPL

AutoProv: 1

AutoReq: 1
Requires: brlapi = 0.5.0

Summary: Headers, static archive, and documentation for BrlAPI.
%description -n brlapi-devel
This package provides the header files, static archive, shared object
linker reference, and reference documentation for BrlAPI (the
Application Programming Interface to BRLTTY).  It enables the
implementation of applications which take direct advantage of a
refreshable braille display in order to present information in ways
which are more appropriate for blind users and/or to provide user
interfaces which are more specifically atuned to their needs.

Install this package if you're developing or maintaining an application
which directly accesses a refreshable braille display.

%prep
# %setup -n %{name}-%{version}
%setup -n brltty-3.8

%build
%configure --disable-relocatable-install --with-install-root="${RPM_BUILD_ROOT}" --disable-gpm --without-flite --without-mikropuhe --without-swift --without-theta --without-viavoice --without-libbraille --without-curses --without-x --with-braille-driver=-tt
make

directory="doc"
mkdir -p "${directory}"
for file in `find . \( -path "./${directory}" -o -path ./Documents \) -prune -o \( -name 'README*' -o -name '*.patch' -o -name '*.txt' -o -name '*.html' -o -name '*.sgml' -o \( -path "./Bootdisks/*" -type f -perm +ugo=x \) \) -print`
do
   mkdir -p "${directory}/${file%/*}"
   cp -rp "${file}" "${directory}/${file}"
done

%install
make install
install -m 644 Documents/brltty.conf "${RPM_BUILD_ROOT}%{_sysconfdir}"

%clean
rm -fr "${RPM_BUILD_ROOT}"

%files
%defattr(-,root,root)
%{_bindir}/brltty
%{_bindir}/brltty-*
%{_bindir}/vstp
%{_libdir}/brltty
%{_sysconfdir}/brltty
%doc %{_mandir}/man1/*
%doc Documents/Manual-BRLTTY/English/*.{sgml,txt,html}
%doc COPYING
%doc Documents/ChangeLog Documents/TODO
%doc doc/*
%config(noreplace) %verify(not size md5 mtime) %{_sysconfdir}/brltty.conf

%files -n brlapi
%defattr(-,root,root)
%{_libdir}/libbrlapi.so.*
%doc Documents/Manual-BrlAPI/English/*.{sgml,txt,html}
%doc Documents/README.Gnopernicus

%files -n brlapi-python
/usr/lib/python2.3/site-packages/brlapi.*

%files -n brlapi-tcl
/usr/lib/brlapi-0.5.0/libbrlapi_tcl.so
/usr/lib/brlapi-0.5.0/pkgIndex.tcl

%files -n brlapi-devel
%defattr(-,root,root)
%{_libdir}/libbrlapi.a
%{_libdir}/libbrlapi.so
%{_includedir}/brlapi.h
%{_includedir}/brlapi_*.h
%{_includedir}/brltty
%doc %{_mandir}/man3/*
%doc Documents/BrlAPIref

%changelog
* Mon Jun  4 2007 Dave Mielke <dave@mielke.cc> 3.8
+  General updates:
      Add the -r [--release-device] command line option.
      Add the release-device configuration directive.
      Look in $HOME/.brltty/ for brltty.conf, translation tables, contraction tables, and preferences files.
      Add screen scroll detection to the cursor routing algorithm.
      Fix left-panning when presenting contracted braille.
      Change the default braille and speech drivers to "auto".
      Change the default braille device to "usb:".
      Improved AT keyboard scancode support.
      Added XT keyboard scancode support.
      Verify that a driver's version matches that of the core when loading it.
      If any drivers are built-in then only autodetect for them.
      Log unexpected data from braille displays as warnings.
      New braille drivers: IrixLinux
      New speech drivers: SpeechDispatcher
      New screen drivers: PCBIOS
      New supported operating systems: kFreeBSD, MSDOS (almost)
+  Startup updates:
      Only count command line option and configuration file errors as problems.
      Periodically retry starting the speech driver.
      Periodically retry creating the PID file.
+  BrlAPI updates:
      Version changed to 0.5.0.
      Base TCP/IP port changed from 35751 to the newly IANA-assigned 4101 [brlp-0] (4 ports).
      Move headers from "/usr/include/brltty/*.h" to "/usr/include/brlapi_*.h".
      Lots of function and constant renames (see man brlapi_deprecated).
      Remove brlapi_getDriverId().
      Add brlapi_suspendDriver() and brlapi_resumeDriver().
      Redesign the paradigm for ignoring and accepting key codes.
      Add support for multiple simultaneous sessions.
      Add support for the application-definable BRLAPI_NO_DEPRECATED and BRLAPI_NO_SINGLE_SESSION macros.
      Improved Unicode support.
      Rename the WINDOWSPATH environment variable to WINDOWPATH.
      Rename the BRLAPI_KEYFILE environment variable to BRLAPI_AUTH.
      Rename the KeyFile= parameter to Auth=.
      Add support for authentication by user and/or group.
      Implement bindings for Caml, Java, Lisp, Python, and Tcl.
+  Preferences menu updates:
      Change the default for "Autorepeat" from "No" to "Yes".
      Add "Autorepeat Panning" [No, Yes].
      Add "Braille Sensitivity" [Minimum, Low, Medium, High, Maximum].
      Rename "Pointer Follows Window" to "Highlight Window".
      The "Highlight Window" preference works even if gpm isn't available.
      Only highlight the upper-left character of the window if attribute underlining is on.
+  Alva braille driver updates:
      Add support for the Braille System 40.
+  Baum braille driver updates:
      Some key binding changes.
      Add keyboard input.
      Add the VarioKeys parameter for those who prefer the old Vario driver bindings.
+  MiniBraille braille driver updates:
      Add flow control so that it works on fast CPUs.
      Some key binding changes.
+  HandyTech braille driver updates:
      Support the Modular Evolution models (64 and 88).
      Add one-hand convenience bindings for BrailleStar navigation functions.
+  Papenmeier braille driver updates:
      Add support for the latest BrailleX II models (except for the Trio line).
      Add support for setting braille firmness.
+  VisioBraille braille driver updates:
      Support the non-standard serial flow control used by older models.
      Distribute the vstp (VisioBraille file transfer) application.
+  Linux screen driver updates:
      Add support for frame buffer consoles.
      Fix the emulation of keys F1-F5.
+  Screen screen driver and screen patch updates:
      Fixed cursor routing.
      Add support for keyboard emulation.
      Fix support for the status line.
      Add support for the input line.
      Show the current window number (rather than 0).
      Show correct character highlighting.
+  Windows support updates:
      Recognize the CR-LF sequence as a text file input line terminator.
      Don't misinterpret/corrupt preferences files by treating them as text files.
      Present the AltTabInfo window.
      Support keyboard emulation when in a DOS box or a non-console application.
      Determine which facilities are available at run-time rather than at build-time.
      Remove support for Windows 95.
+  Text translation table updates:
      Renames: uk->en_UK, us->en_US
      Add a table for Swedish 1996.
      Add a table for Unified French 2007.
      Add a table for Portuguese.
      Fix the Czech table to support German symbols in a uniform way.
      Support tables in the Gnome Braille format.
      Support tables in the sbl (SuSE Blinux) format.
+  Contraction table updates:
      Several fixes to en-us-g2 (Grade 2 American English).
      Updates to big5.
      Add a table for GB2312 (Simplified Chinese Braille)
+  Build updates:
      The autogen.sh script has been renamed to autogen.
      Add support for a relocatable install (useful on Windows).
      Change the default for gpm support to enabled.
      Define general macros for braille applications in "/usr/include/iso_11548-1.h".
      Add the --with-stderr-path configure script option.
      Braillified installer images log errors to tty5.

